#!/bin/bash
for i in {0..31}
#for i in 3
do 
  wc -l site${i}/MOL-summary.dat
done



NELMor=200
NELMnew=450

EXTRACT="YES"
if [ "$EXTRACT" == "YES" ]; then

functional="Au.MS.PBE"
#rm *.2d
for i in {0..28}  #2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 27 28
do
  for z in 0.25 0.75 1.0 1.25 1.50 1.75 2.0 2.25 2.50 2.75 3.0 3.25 3.50 3.75 4.0 4.25 4.5 5.0 5.75
  do
    for r in 0.4 0.5 0.6 0.65 0.7 0.75 0.8 0.85 0.95 1.05 1.15 1.25 1.5 1.75 2.0 2.3
    do
 
        folder="site${i}/MOL-site${i}-Z${z}-R${r}-l6-k11-e-s"
        #echo "folder= $folder "
        U=`head -1 ${folder}/POSCAR | awk '{print $2}'`
        V=`head -1 ${folder}/POSCAR | awk '{print $4}'`
        T=`head -1 ${folder}/POSCAR | awk '{print $10}'`
        P=`head -1 ${folder}/POSCAR | awk '{print $12}'`
        E=`tail -1 ${folder}/OSZICAR | awk '{print $3}'`
        position=`head -1 ${folder}/POSCAR`
        
        NELM=0
        NELM=`tail -2 ${folder}/OSZICAR | head -1 | awk '{print $2}'`

        echo $i $position $energy $E   		$NELM	
        echo "$z     $r    $E" >> ${functional}.u${U}v${V}t${T}p${P}.2d

        #if no output
#        if [ ! -f ${folder}/OSZICAR ]; then
#          cd $folder
#          awk '{gsub("ALGO=VeryFast","ALGO=Conjugate"); print}' INCAR | awk '{gsub("NELM='$NELMor'","NELM='$NELMnew'"); print}' > test ; mv test INCAR
#          rm MOL* CHG* CONTCAR DOSCAR EIGENVAL IBZKPT OSZICAR OUTCAR PCDAT REPORT vasprun.xml WAVECAR vdw_kernel.bindat XDATCA
#          sbatch Job
#          cd ../../
#        fi

        #if not converged resubmit with higher nelm and conjugate algorithm
#        if [ "$NELM" -lt 16 ] || [ "$NELM" == "$NELMor" ]; then
#          echo $folder
##
#          cd $folder
#          awk '{gsub("ALGO=VeryFast","ALGO=Conjugate"); print}' INCAR | awk '{gsub("NELM='$NELMor'","NELM='$NELMnew'"); print}' > test ; mv test INCAR
#
#          
#          rm MOL* CHG* CONTCAR DOSCAR EIGENVAL OSZICAR IBZKPT OUTCAR PCDAT REPORT vasprun.xml WAVECAR vdw_kernel.bindat XDATCAR 
#          sbatch Job
# 
#          cd ../../
#        fi

        if [ -f ${folder}/CHGCAR ]; then 
          cd $folder
          rm CHG* DOSCAR EIGENVAL IBZKPT PCDAT WAVECAR XDATCAR   
          cd ../../
        fi   
        
    done
    echo
    echo >> ${functional}.u${U}v${V}t${T}p${P}.2d
  done
  echo
  echo 
done

fi

